跳至內容

Grok Imagine Image 2.0 · Text to Image

整合

模型 id xai/grok-imagine-image/v2.0/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/xai/grok-imagine-image/v2.0/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.06 60 API 點數 · ≈ ₽6.45 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
xAI 文字轉圖像 最高 2k #text-to-image#xai#grok

Grok Imagine 2.0 文字生成影像,提供 13 種長寬比、1k 或 2k 解析度,以及最多 4 張影像

xAI · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 8000

要建立的圖像文字描述。

resolution 預設 1k

圖像解析度選擇,可選標準 (`1k`) 或高 (`2k`)。

quality 預設 medium

生成圖像的品質設定。

預設 1:1

輸出圖像的寬高比。

num_images 預設 1

要產生的圖像數量。

進階 output_format · enable_safety_checker
output_format 預設 jpeg

生成圖像的檔案格式。

POST /run/xai/grok-imagine-image/v2.0/text-to-image?wait=20 報價 → $0.06
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/xai/grok-imagine-image/v2.0/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Grok Imagine Image 2.0 · Text to Image

從最多 8000 個字元的文字 `prompt` 產生影像。每次呼叫產生 1 到 4 張影像,提供從 1:2 到 2:1 的 13 種長寬比(預設 1:1)以及 `1k` 或 `2k` 解析度。輸出可為 jpeg、png 或 webp,`quality` 可選 low 或 medium。回應包含實際使用的修訂提示詞。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt必填
類型string
≤ 8,000 個字元
要建立的圖像文字描述。
num_images選填 num_outputs
類型integer
預設值1
1 – 4
要產生的圖像數量。
aspect_ratio選填
類型enum
預設值1:1
2:120:919.5:916:94:33:21:12:33:49:169:19.59:201:2
輸出圖像的寬高比。
resolution選填
類型enum
預設值1k
1k2k
圖像解析度選擇,可選標準 (`1k`) 或高 (`2k`)。
output_format選填
類型enum
預設值jpeg
jpegpngwebp
生成圖像的檔案格式。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
quality選填
類型enum
預設值medium
lowmedium
生成圖像的品質設定。
必填 標準名稱,也可使用

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-image/v2.0/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 60,
    "usd": "0.06",
    "charged": 60,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "revised_prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, content_type, file_name, file_size, width, height}指向生成圖像的 URL。
revised_prompt
string | null用於圖像生成的增強提示詞。

更多模型:文字轉圖像

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/xai/grok-imagine-image/v2.0/text-to-image.md. 所有模型與指南: https://doitong.com/developers/llms.txt